<template>
    <default-layout>
        <div class="max-w-7xl mx-auto px-4 sm:px-6">
            <div class="bg-white">
                <div class="max-w-2xl mx-auto py-16 px-4 sm:py-24 sm:px-6 lg:max-w-7xl lg:px-8">
                    <form action="posts/search/" method="get">
                        <div class="form-group">
                            <input
                                type="text"
                                name="q"
                                class="form-control"
                                placeholder="Search..."
                                value="hrtjrtjr"
                            />
                        </div>
                    </form>
                    <h2 class="text-2xl font-extrabold tracking-tight text-gray-900">Posts</h2>

                    <div class="mt-6 grid grid-cols-1 gap-y-10 gap-x-6 sm:grid-cols-2 lg:grid-cols-4 xl:gap-x-8">
                        <div v-for="post in posts.data" :key="posts.id" class="group relative">
                            <div
                                class="w-full min-h-80 bg-gray-200 aspect-w-1 aspect-h-1 rounded-md overflow-hidden group-hover:opacity-75 lg:h-80 lg:aspect-none">
                                <img src="https://tailwindui.com/img/ecommerce-images/product-page-01-related-product-01.jpg" alt=""
                                     class="w-full h-full object-center object-cover lg:w-full lg:h-full"/>
                            </div>
                            <div class="mt-4 flex justify-between">
                                <div>
                                    <h3 class="text-sm text-gray-700">
                                        <a :href="post.url_code">
                                            <span aria-hidden="true" class="absolute inset-0"/>
                                            {{post.title}}
                                        </a>
                                    </h3>
                                    <p class="mt-1 text-sm text-gray-500">{{post.updated_at}}</p>
                                </div>
<!--                                <p class="text-sm font-medium text-gray-900">{{ post.price }}</p>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <pagination-pages :links="posts.links" />
        </div>
    </default-layout>
</template>

<script>
import {defineComponent} from "vue";
import DefaultLayout from "@/Layouts/DefaultLayout";
import PaginationPages from "@/Components/PaginationPages";

export default defineComponent({
    components: {
        DefaultLayout,
        PaginationPages,
    },
    props:{
        posts: {
            type: Object,
            default: {},
        },
    },
    // mounted(){
    //     console.log(this.posts);
    // },
})
</script>

<style>

</style>
